"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-310/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CC10>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CCA0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CD30>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CDC0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CE50>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CEE0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47CF70>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D000>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D090>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D120>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D1B0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D240>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D2D0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D360>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D3F0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D480>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D510>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D5A0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D630>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D6C0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D750>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D7E0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D870>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D900>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DA20>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47D990>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DAB0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DB40>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DBD0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DC60>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DCF0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DD80>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DE10>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DEA0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DF30>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47DFC0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E050>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E0E0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E170>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E200>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E290>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E320>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E3B0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E440>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E4D0>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E560>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E5F0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E680>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E710>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E7A0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E830>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E8C0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E950>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47E9E0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EA70>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EB00>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EB90>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EC20>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47ECB0>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47ED40>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EDD0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EE60>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EEF0>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47EF80>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F010>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F1C0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F0A0>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F250>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F2E0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F370>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F400>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F490>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F5B0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F520>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F640>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F6D0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F760>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F880>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F7F0>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F910>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47F9A0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47FA30>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47FAC0>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47FB50>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000012F6B47FBE0>)]
name: str = 'fr_HOCCN'
